AI Sync

Pipeline

Reorder Pipeline Stages

POSThttps://app.rizzdial.com/api/pipeline/stages/reorder
Reorder Pipeline Stages
curl --request POST \
  --url https://app.rizzdial.com/api/pipeline/stages/reorder \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "stages": [
    {
      "id": "Mg=="
    },
    {
      "id": "Mw=="
    }
  ],
  "pipeline_id": "MQ=="
}'
{
  "data": {
    "stages": [
      {
        "id": "Mg==",
        "sorting_order": 0
      }
    ],
    "pipeline_id": "MQ=="
  },
  "message": "Stages reordered successfully.",
  "success": true
}

Reorder Pipeline Stages#

Sets stage order from the array position. Send every stage for the pipeline. sorting_order in the request is ignored.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

pipeline_idstringbodyrequired

Base64 pipeline id

stagesarraybodyrequired

Objects with id (base64 stage id), in the new order

curl --request POST \
  --url https://app.rizzdial.com/api/pipeline/stages/reorder \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{"pipeline_id":"MQ==","stages":[{"id":"Mg=="},{"id":"Mw=="}]}'
successboolean

true when the order is saved

messagestring

Stages reordered successfully.

data.stagesarray

All stages in the new order